%define module_name Net-NicoVideo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Simple.pm) perl(Class/Accessor/Fast.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/Parser.pm) perl(HTTP/Cookies.pm) perl(HTTP/Request/Common.pm) perl(JSON.pm) perl(LWP/UserAgent.pm) perl(Test/More.pm) perl(URI/Escape.pm) perl(XML/FeedPP.pm) perl(XML/TreePP.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.28
Release: alt2
Summary: Perl Interface for accessing Nico Nico Douga
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/H/HW/HWAT/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Nico Nico Douga (.''.'u.''.'u.''.iO, lit. "Smile Videos") is a popular video sharing website
in Japan managed by Niwango, a subsidiary of Dwango.

A Distribution Net-NicoVideo is Perl Interface for accessing Nico Nico Douga.
This provides the consistent access method,
and contents are encapsulated and give facilities to clients.

And this class Net::NicoVideo is an utility which summarized the procedure 
for obtaining each object compactly.

An instance of this class uses the Net::NicoVideo::UserAgent manpage in the inside.
In other words, the client can use the Net::NicoVideo::UserAgent manpage for work of a low level.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/N*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.28-alt2
- updated summary

* Wed Nov 20 2013 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1
- regenerated from template by package builder

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.27-alt1
- initial import by package builder

